tracker-fts.cfg(5)

NAME
tracker-fts.cfg

SYNOPSIS
$HOME/.config/tracker/tracker-fts.cfg

DESCRIPTION
Tracker's configuration is built on top of GSettings, part of GLib. This means that there is a proper schema for configurations and they can be viewed (normally) using the dconf-editor tool. Tracker also allows switching from the GSettings database, used by most (cross) desktop applications, to a key/value formatted files (like Microsoft's INI format). To do this, the environment variable TRACKER_USE_CONFIG_FILES must be defined before running the application using that configuration. So where is this configuration? Well, normally they're stored in $HOME/.config/tracker/, however, default values are not stored to config files, only different values are. This man page describes what keys and values can be used. See EXAMPLES for a general overview.

OPTIONS

max-word-length=30
    Words with more characters than this length will be ignored by the indexer.
    Values range from 0 to 200.

max-words-to-index=10000
    Indexer will read only this maximum number of words from a single document.

enable-stemmer=false
    Simplify the words to their root to provide more results. E.g. 'shelves' and 'shelf' to 'shel'

enable-unaccent=true
    Translate accented characters to the equivalent unaccented. E.g. 'Idéa' to 'Idea' for improved matching.

ignore-numbers=true
    If enabled, numbers will not be indexed.

ignore-stop-words=true
    If enabled, the words listed in the stop-words list are ignored. E.g. common words like 'the', 'yes', 'no', etc.

EXAMPLES
The top level group is "General". The default configuration (if saved to tracker-fts.cfg), would look like:
    [General]
    max-word-length=30;
    max-words-to-index=10000;
    enable-stemmer=false;
    enable-unaccent=true;
    ignore-numbers=true;
    ignore-stop-words=true;

SEE ALSO
tracker-fts